SBUILD-QEMU-UPDATE(1)

NAME
sbuild-qemu-update - sbuild-update analog for QEMU images

SYNOPSIS
sbuild-qemu-update [-h] [--snapshot] [--arch=ARCH] [--noexec] image

DESCRIPTION
sbuild-qemu-update boots a QEMU VM using image and then runs apt-get in it, performing update, dist-upgrade, clean and autoremove. It can optionally create a snapshot before updating.

OPTIONS

-h, --help
    Show this help message and exit.

--snapshot
    Create a snapshot of the image before updating it. Useful for reproducibility purposes.

--arch=ARCH
    Architecture to use (instead of attempting to auto-guess based on the image name).

--noexec
    Don't actually do anything. Just print the command string that would be executed, and then exit.

EXAMPLES
$ sbuild-qemu-update unstable-autopkgtest-amd64.img

This will update the image unstable-autopkgtest-amd64.img in the current directory. If no such file exists there, then $IMAGEDIR/unstable-autopkgtest-amd64.img is tried.

ENVIRONMENT
If $IMAGEDIR is unset, then ~/.cache/sbuild is used.

COPYRIGHT
Copyright © 2020 Christian Kastner <ckk@debian.org>

SEE ALSO
sbuild(1), sbuild-qemu(1), sbuild-qemu-create(1).